System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(false)

In most cases, your code will not deal with directly because request and response data are exposed through the and classes. Some internal ASP.NET classes extend this class. If your code implements its own hosting environment, it will need to extend this class to call the method. In addition, your code could create a derived class for the purpose of child-request execution within a given application in order to pass its instance to . In this case, the derived class should keep a reference to the current and delegate most of the methods to it.

This abstract class defines the base worker methods and enumerations used by ASP.NET managed code to process requests.

- Constructor

  The constructor is the default constructor for the class.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Terminates the connection with the client.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Used by the runtime to notify the that request processing for the current request is complete.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Sends all pending response data to the client.

  true if this is the last time response data will be flushed; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.String To be added

  Returns the virtual path to the currently executing server application.

  The virtual path of the current application.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the physical path to the currently executing server application.

  The physical path of the current application.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  When overridden in a derived class, returns the application pool ID for the current URL.

  Always returns null.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int64 To be added

  Gets the number of bytes read in from the client.

  A Long containing the number of bytes read.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[]

  If no certificate is sent, the collection returns empty.

  When overridden in a derived class, gets the certification fields (specified in the X.509 standard) from a request issued by the client.

  A byte array containing the stream of the entire certificate content.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] To be added

  Gets the certificate issuer, in binary format.

  A byte array containing the certificate issuer expressed in binary format.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 To be added

  When overridden in a derived class, returns the object in which the client certificate was encoded.

  The certificate encoding, expressed as an integer.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] To be added

  When overridden in a derived class, gets a PublicKey object associated with the client certificate.

  A PublicKey object.

  1.0.5000.0
  2.0.0.0
- Method
  System.DateTime To be added

  When overridden in a derived class, gets the date when the certificate becomes valid. The date varies with international settings.

  A object representing when the certificate becomes valid.

  1.0.5000.0
  2.0.0.0
- Method
  System.DateTime To be added

  Gets the certificate expiration date.

  A object representing the date that the certificate expires.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int64 To be added

  When overridden in a derived class, returns the ID of the current connection.

  Always returns 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  When overridden in a derived class, returns the virtual path to the requested URI.

  The path to the requested URI.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the physical file path to the requested URI (and translates it from virtual path to physical path: for example, "/proj1/page.aspx" to "c:\dir\page.aspx")

  The translated physical file path to the requested URI.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the specified member of the request header.

  The HTTP verb returned in the request header.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Provides access to the HTTP version of the request (for example, "HTTP/1.1").

  The HTTP version returned in the request header.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` For example to obtain the value of the Content-Length header, you can use: `string value = worker_request.GetKnownRequestHeader (HttpWorkerRequest.HeaderContentLength);`

  Returns the standard HTTP request header that corresponds to the specified index.

  The HTTP request header.

  The index of the header. For example, the field. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Returns the index number of the specified HTTP request header.

  The index number of the HTTP request header specified in the parameter.

  The name of the header. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Returns the name of the specified HTTP request header.

  The name of the HTTP request header specified in the parameter.

  The index number of the header. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Returns the index number of the specified HTTP response header.

  The index number of the HTTP response header specified in the parameter.

  The name of the HTTP header. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Returns the name of the specified HTTP response header.

  The name of the HTTP response header specified in the parameter.

  The index number of the header. 1.0.5000.0 2.0.0.0
- Method
  System.String To be added

  Provides access to the specified member of the request header.

  The server IP address returned in the request header.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 To be added

  Provides access to the specified member of the request header.

  The server port number returned in the request header.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns additional path information for a resource with a URL extension. That is, for the path /virdir/page.html/tail, the GetPathInfo value is /tail.

  Additional path information for a resource.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] This method should be invoked prior to calling as the web server implementing this class might have loaded some data in advance.

  See also: and .

  Returns the portion of the HTTP request body that has already been read.

  The portion of the HTTP request body that has been read.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` `` To be added.

  Gets the portion of the HTTP request body that has currently been read by using the specified buffer data and byte offset.

  The portion of the HTTP request body that has been read.

  The data to read. The byte offset at which to begin reading.
- Method
  2.0.0.0
  System.Int32 To be added.

  Gets the length of the portion of the HTTP request body that has currently been read.

  An integer containing the length of the currently read HTTP request body.

- Method
  System.String To be added

  When overridden in a derived class, returns the HTTP protocol (HTTP or HTTPS).

  HTTPS if the method is true, otherwise HTTP.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the query string specified in the request URL.

  The request query string.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] To be added

  When overridden in a derived class, returns the response query string as an array of bytes.

  An array of bytes containing the response.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Returns the URL path contained in the request header with the query string appended.

  The raw URL path of the request header.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  Provides access to the specified member of the request header.

  The client's IP address.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  When overridden in a derived class, returns the name of the client computer.

  The name of the client computer.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 To be added

  Provides access to the specified member of the request header.

  The client's HTTP port number.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 To be added

  When overridden in a derived class, returns the reason for the request.

  Reason code. The default is ReasonResponseCacheMiss.

  1.0.5000.0
  2.0.0.0
- Method
  System.String To be added

  When overridden in a derived class, returns the name of the local server.

  The name of the local server.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` To be added

  Returns a single server variable from a dictionary of server variables associated with the request.

  The requested server variable.

  The name of the requested server variable. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added

  Returns a string that describes the name of the specified HTTP status code.

  The status description. For example, (404) returns "Not Found".

  The HTTP status code. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 To be added.

  Gets the length of the entire HTTP request body.

  An integer containing the length of the entire HTTP request body.

- Method
  System.String `` To be added

  Returns a nonstandard HTTP request header value.

  The header value.

  The header name. 1.0.5000.0 2.0.0.0
- Method
  System.String[][] To be added

  Get all nonstandard HTTP header name-value pairs.

  An array of header name-value pairs.

  1.0.5000.0
  2.0.0.0
  System.CLSCompliant(false)
- Method
  System.String To be added

  Returns the virtual path to the requested URI.

  The path to the requested URI.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int64 To be added

  When overridden in a derived class, returns the context ID of the current connection.

  Always returns 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.IntPtr To be added

  When overridden in a derived class, returns the client's impersonation token.

  A value representing the client's impersonation token. The default is 0.

  1.0.5000.0
  2.0.0.0
- Method
  System.IntPtr To be added

  Gets the impersonation token for the request virtual path.

  An unmanaged memory pointer for the token for the request virtual path.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean See also: , and

  Returns a value indicating whether the request contains body data.

  true if the request contains body data; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Accept HTTP header.

  1.0.5000.0
  2.0.0.0
  20
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Accept-Charset HTTP header.

  1.0.5000.0
  2.0.0.0
  21
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Accept-Encoding HTTP header.

  1.0.5000.0
  2.0.0.0
  22
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Accept-Language HTTP header.

  1.0.5000.0
  2.0.0.0
  23
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Accept-Ranges HTTP header.

  1.0.5000.0
  2.0.0.0
  20
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Age HTTP header.

  1.0.5000.0
  2.0.0.0
  21
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Allow HTTP header.

  1.0.5000.0
  2.0.0.0
  10
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Authorization HTTP header.

  1.0.5000.0
  2.0.0.0
  24
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  The index that represents the HTTP Cache-Control HTTP header.

  1.0.5000.0
  2.0.0.0
  0
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Connection HTTP header.

  1.0.5000.0
  2.0.0.0
  1
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Content-Encoding HTTP header.

  1.0.5000.0
  2.0.0.0
  13
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Content-Language HTTP header.

  1.0.5000.0
  2.0.0.0
  14
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Content-Length HTTP header.

  1.0.5000.0
  2.0.0.0
  11
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Content-Location HTTP header.

  1.0.5000.0
  2.0.0.0
  15
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Content-MD5 HTTP header.

  1.0.5000.0
  2.0.0.0
  16
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Content-Range HTTP header.

  1.0.5000.0
  2.0.0.0
  17
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Content-Type HTTP header.

  1.0.5000.0
  2.0.0.0
  12
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Cookie HTTP header.

  1.0.5000.0
  2.0.0.0
  25
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Date HTTP header.

  1.0.5000.0
  2.0.0.0
  2
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the ETag HTTP header.

  1.0.5000.0
  2.0.0.0
  22
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Except HTTP header.

  1.0.5000.0
  2.0.0.0
  26
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Expires HTTP header.

  1.0.5000.0
  2.0.0.0
  18
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the From HTTP header.

  1.0.5000.0
  2.0.0.0
  27
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Host HTTP header.

  1.0.5000.0
  2.0.0.0
  28
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the If-Match HTTP header.

  1.0.5000.0
  2.0.0.0
  29
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the If-Modified-Since HTTP header.

  1.0.5000.0
  2.0.0.0
  30
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the If-None-Match HTTP header.

  1.0.5000.0
  2.0.0.0
  31
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the If-Range HTTP header.

  1.0.5000.0
  2.0.0.0
  32
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the If-Unmodified-Since HTTP header.

  1.0.5000.0
  2.0.0.0
  33
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Keep-Alive HTTP header.

  1.0.5000.0
  2.0.0.0
  3
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Last-Modified HTTP header.

  1.0.5000.0
  2.0.0.0
  19
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Location HTTP header.

  1.0.5000.0
  2.0.0.0
  23
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Max-Forwards HTTP header.

  1.0.5000.0
  2.0.0.0
  34
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Pragma HTTP header.

  1.0.5000.0
  2.0.0.0
  4
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Proxy-Authenticate HTTP header.

  1.0.5000.0
  2.0.0.0
  24
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Proxy-Authorization HTTP header.

  1.0.5000.0
  2.0.0.0
  35
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Range HTTP header.

  1.0.5000.0
  2.0.0.0
  37
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Referer HTTP header.

  1.0.5000.0
  2.0.0.0
  36
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Retry-After HTTP header.

  1.0.5000.0
  2.0.0.0
  25
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Server HTTP header.

  1.0.5000.0
  2.0.0.0
  26
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Set-Cookie HTTP header.

  1.0.5000.0
  2.0.0.0
  27
- Method
  System.Boolean To be added

  Returns a value indicating whether HTTP response headers have been sent to the client for the current request.

  true if HTTP response headers have been sent to the client; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the TE HTTP header.

  1.0.5000.0
  2.0.0.0
  38
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Trailer HTTP header.

  1.0.5000.0
  2.0.0.0
  5
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Transfer-Encoding HTTP header.

  1.0.5000.0
  2.0.0.0
  6
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Upgrade HTTP header.

  1.0.5000.0
  2.0.0.0
  7
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the User-Agent HTTP header.

  1.0.5000.0
  2.0.0.0
  39
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Vary HTTP header.

  1.0.5000.0
  2.0.0.0
  28
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Via HTTP header.

  1.0.5000.0
  2.0.0.0
  8
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Warning HTTP header.

  1.0.5000.0
  2.0.0.0
  9
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the WWW-Authenticate HTTP header.

  1.0.5000.0
  2.0.0.0
  29
- Method
  System.Boolean To be added

  Returns a value indicating whether the client connection is still active.

  true if the client connection is still active; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean To be added

  Returns a value indicating whether all request data is available and no further reads from the client are required.

  true if all request data is available; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean To be added

  Returns a value indicating whether the connection uses SSL.

  true if the connection is an SSL connection; otherwise, false. The default is false.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the full physical path to the Machine.config file.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the physical path to the directory where the ASP.NET binaries are installed.

  1.0.5000.0
  2.0.0.0
- Method
  System.String `` To be added

  Returns the physical path corresponding to the specified virtual path.

  The physical path that corresponds to the virtual path specified in the parameter.

  The virtual path. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` ``

  An implementation is free to return fewer bytes than requested even if the end of the stream has not been reached.

  Use this overload to specify the response for message bodies greater than 2 GB.

  Reads request data from the client (when not preloaded).

  The number of bytes read.

  The byte array to read data into. The maximum number of bytes to read. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Int32 `` `` ``

  An implementation is free to return fewer bytes than requested even if the end of the stream has not been reached.

  Use this overload to specify the response for message bodies greater than 2 GB.

  Reads request data from the client (when not preloaded) by using the specified buffer to read from, byte offset, and maximum bytes.

  The number of bytes read.

  The byte array to read data into. The byte offset at which to begin reading. The maximum number of bytes to read.
- Field
  System.Int32 To be added

  Specifies a reason for the request.

  1.0.5000.0
  2.0.0.0
  2
- Field
  System.Int32 To be added

  Specifies a reason for the request.

  1.0.5000.0
  2.0.0.0
  3
- Field
  System.Int32 To be added

  Specifies a reason for the request.

  1.0.5000.0
  2.0.0.0
  4
- Field
  System.Int32 To be added

  Specifies a reason for the request. The default value is .

  1.0.5000.0
  2.0.0.0
  0
- Field
  System.Int32 To be added

  Specifies a reason for the request.

  1.0.5000.0
  2.0.0.0
  1
- Field
  System.Int32 To be added

  Specifies a reason for the request.

  1.0.5000.0
  2.0.0.0
  0
- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Maximum HTTP request header.

  1.0.5000.0
  2.0.0.0
  40
- Property
  2.0.0.0
  System.Guid To be added.

  ASP.NET requests execute with the same trace ID as the corresponding IIS request. This facilitates tracking a request throughout its lifetime, starting with the HTTP.SYS kernel-mode HTTP listener, through the IIS service, and into the ASP.NET system. The IDs provided by IIS differ based on the platform and service pack level.

  Gets the corresponding Event Tracking for Windows trace ID for the current request.

- Field
  System.Int32

  The .NET Framework assigns an index number to each standard HTTP header type, for use in the and methods.

  Specifies the index number for the Maximum HTTP response header.

  1.0.5000.0
  2.0.0.0
  30
- Property
  2.0.0.0
  System.String To be added.

  If you are implementing your own hosting environment, you may to override this property to return the location of your environment's root configuration file. An example of this is the class which provides a simple implementation of the . The property of class overrides the property of class.

  Gets the full physical path to the root Web.config file.

- Method
  System.Void ``

  When the content length is not explicitly set, this method enables the instance to add a Content-Length HTTP header to the response.

  Use this overload to set the Content-Length header when the length of the response message body is less than or equal to 2 GB.

  Adds a Content-Length HTTP header to the response for message bodies that are less than or equal to 2 GB.

  The length of the response, in bytes. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  When the content length is not explicitly set, this method enables the instance to add a Content-Length HTTP header to the response. The default implementation calls the overload that takes a parameter of type .

  Use this overload to specify the response for message bodies greater than 2 GB.

  Adds a Content-Length HTTP header to the response for message bodies that are greater than 2 GB.

  The length of the response, in bytes.
- Method
  System.Void `` `` To be added

  Adds a standard HTTP header to the response.

  The header index. For example, . The value of the header. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Adds the contents of the specified file to the response and specifies the starting position in the file and the number of bytes to send.

  The handle of the file to send. The starting position in the file. The number of bytes to send. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Adds the contents of the specified file to the response and specifies the starting position in the file and the number of bytes to send.

  The name of the file to send. The starting position in the file. The number of bytes to send. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Adds the specified number of bytes from a byte array to the response.

  The byte array to send. The number of bytes to send, starting at the first byte. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Adds the specified number of bytes from a block of memory to the response.

  An unmanaged pointer to the block of memory. The number of bytes to send. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This methods sends the HTTP status response to the client.

  You should call this method before writing any other headers.

  Specifies the HTTP status code and status description of the response, such as SendStatus(200, "Ok").

  The status code to send The status description to send. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Adds a nonstandard HTTP header to the response.

  The name of the header to send. The value of the header. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added: an object of type 'HttpWorkerRequest+EndOfSendNotification' To be added: an object of type 'object' To be added To be added 1.0.5000.0 2.0.0.0